import multiprocessing.managers
import tornado.ioloop
import zmq
from _typeshed import Incomplete
from meshcat.servers.zmqserver import StaticFileHandlerNoCache, WebSocketHandler, ZMQWebSocketBridge
from typing import Optional, Sequence, Tuple
from zmq.eventloop.zmqstream import ZMQStream

DEFAULT_COMM_PORT: int
WAIT_COM_TIMEOUT: float

class MyFileHandler(StaticFileHandlerNoCache):
    default_path: Incomplete
    default_filename: Incomplete
    fallback_path: Incomplete
    def initialize(self, default_path: str, default_filename: str, fallback_path: str) -> None: ...
    def validate_absolute_path(self, root: str, absolute_path: str) -> Optional[str]: ...

def handle_web(self, message: str) -> None: ...

class ZMQWebSocketIpythonBridge(ZMQWebSocketBridge):
    comm_pool: Incomplete
    watch_pool: Incomplete
    comm_msg: Incomplete
    websocket_msg: Incomplete
    is_waiting_ready_msg: bool
    def __init__(self, zmq_url: Optional[str] = ..., comm_url: Optional[str] = ..., host: str = ..., port: Optional[int] = ...) -> None: ...
    def setup_comm(self, url: str) -> Tuple[zmq.Socket, ZMQStream, str]: ...
    def make_app(self) -> tornado.web.Application: ...
    def wait_for_websockets(self) -> None: ...
    def watchdog_comm(self) -> None: ...
    def handle_zmq(self, frames: Sequence[bytes]) -> None: ...
    def handle_comm(self, frames: Sequence[bytes]) -> None: ...
    def forward_to_websockets(self, frames: Sequence[bytes]) -> None: ...
    def forward_to_comm(self, comm_id: bytes, message: bytes) -> None: ...
    def send_scene(self, websocket: Optional[WebSocketHandler] = ..., comm_id: Optional[bytes] = ...) -> None: ...

def start_meshcat_server(verbose: bool = ...) -> Tuple[multiprocessing.Process, str, str, str]: ...
def start_meshcat_server_standalone() -> None: ...
